Bug 1279343 - [abrt] gnome-shell: get_application_proxy(): gnome-shell killed by SIGSEGV
[abrt] gnome-shell: get_application_proxy(): gnome-shell killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:15553a6372a3b7313472d00656c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-09 03:51 EST by Philip Withnall
Modified: 2016-12-20 10:33 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:33:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (33.49 KB, text/plain)
2015-11-09 03:51 EST, Philip Withnall
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-09 03:52 EST, Philip Withnall
no flags Details
File: core_backtrace (5.35 KB, text/plain)
2015-11-09 03:52 EST, Philip Withnall
no flags Details
File: dso_list (26.04 KB, text/plain)
2015-11-09 03:52 EST, Philip Withnall
no flags Details
File: environ (1.99 KB, text/plain)
2015-11-09 03:52 EST, Philip Withnall
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-09 03:52 EST, Philip Withnall
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-09 03:52 EST, Philip Withnall
no flags Details
File: maps (157.72 KB, text/plain)
2015-11-09 03:52 EST, Philip Withnall
no flags Details
File: mountinfo (3.63 KB, text/plain)
2015-11-09 03:52 EST, Philip Withnall
no flags Details
File: open_fds (4.18 KB, text/plain)
2015-11-09 03:52 EST, Philip Withnall
no flags Details
File: proc_pid_status (1.03 KB, text/plain)
2015-11-09 03:52 EST, Philip Withnall
no flags Details
File: var_log_messages (429 bytes, text/plain)
2015-11-09 03:52 EST, Philip Withnall
no flags Details

  None (edit)
Description Philip Withnall 2015-11-09 03:51:54 EST
Version-Release number of selected component:
gnome-shell-3.18.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: get_application_proxy
executable:     /usr/bin/gnome-shell
global_pid:     32737
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 get_application_proxy at shell-app.c:922
 #1 g_task_return_now at gtask.c:1104
 #2 g_task_return at gtask.c:1162
 #3 init_second_async_cb at gdbusproxy.c:1805
 #4 g_task_return_now at gtask.c:1104
 #5 g_task_return at gtask.c:1162
 #6 async_init_get_all_cb at gdbusproxy.c:1443
 #7 g_task_return_now at gtask.c:1104
 #8 g_task_return at gtask.c:1162
 #9 g_dbus_connection_call_done at gdbusconnection.c:5702
Comment 1 Philip Withnall 2015-11-09 03:51:59 EST
Created attachment 1091644 [details]
File: backtrace
Comment 2 Philip Withnall 2015-11-09 03:52:01 EST
Created attachment 1091645 [details]
File: cgroup
Comment 3 Philip Withnall 2015-11-09 03:52:02 EST
Created attachment 1091646 [details]
File: core_backtrace
Comment 4 Philip Withnall 2015-11-09 03:52:04 EST
Created attachment 1091647 [details]
File: dso_list
Comment 5 Philip Withnall 2015-11-09 03:52:05 EST
Created attachment 1091648 [details]
File: environ
Comment 6 Philip Withnall 2015-11-09 03:52:07 EST
Created attachment 1091649 [details]
File: exploitable
Comment 7 Philip Withnall 2015-11-09 03:52:08 EST
Created attachment 1091650 [details]
File: limits
Comment 8 Philip Withnall 2015-11-09 03:52:10 EST
Created attachment 1091651 [details]
File: maps
Comment 9 Philip Withnall 2015-11-09 03:52:12 EST
Created attachment 1091652 [details]
File: mountinfo
Comment 10 Philip Withnall 2015-11-09 03:52:15 EST
Created attachment 1091653 [details]
File: open_fds
Comment 11 Philip Withnall 2015-11-09 03:52:16 EST
Created attachment 1091654 [details]
File: proc_pid_status
Comment 12 Philip Withnall 2015-11-09 03:52:17 EST
Created attachment 1091655 [details]
File: var_log_messages
Comment 13 Owen Taylor 2015-11-09 10:03:28 EST
Any idea what triggered this? I've been seeing these crash reports, but we've been unable to figure out how this could possibly happen.
Comment 14 Philip Withnall 2015-11-09 10:20:15 EST
(In reply to Owen Taylor from comment #13)
> Any idea what triggered this? I've been seeing these crash reports, but
> we've been unable to figure out how this could possibly happen.

IIRC at the time I had just launched gedit, it was blocking on something (a DAVFS share?) and had not shown its main window (and didn’t look like it ever would). I executed `pkill gedit` in a terminal, and Shell crashed.

It’s possible this was caused by an inconsistent state, since I had upgraded to F23 but not yet run `sudo dnf distro-sync`. However, when I did so I don’t recall it touching any relevant packages.

Sorry this isn’t very helpful — that’s all observed. I don’t have a concrete way of reproducing it.
Comment 15 Fedora End Of Life 2016-11-24 08:13:45 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 10:33:33 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.